Summary:	ZZipLib - libZ-based ZIP-access Library
Name:		zziplib
%define	major	0
%define	libname	%mklibname %{name} %{major}
%define	devname	%mklibname -d %{name}
Version:	0.13.60
Release:	%mkrel 2
License:	LGPL
Group:		System/Libraries
URL:		http://zziplib.sf.net
Source0:	http://prdownloads.sourceforge.net/zziplib/%{name}-%{version}.tar.bz2
Obsoletes:	%{name}
Provides:	%{name} %{name} = %{version}
BuildRequires:	autoconf2.5 >= 2.54
BuildRequires:	automake
BuildRequires:	zlib-devel >= 1.1.4
# OE: python and pkgconfig is required for making the docs
BuildRequires:	python >= 2.3
BuildRequires:	pkgconfig
BuildRequires:	multiarch-utils >= 1.0.3
BuildRequires:	zip
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
zziplib provides read access to zipped files in a zip-archive,
using compression based solely on free algorithms provided by zlib.
zziplib provides an additional API to transparently access files
being either real files or zipped files with the same filepath argument.
This is handy to package many files being shared data into a single
zip file - as it is sometimes used with gamedata or script repositories.
The library itself is fully multithreaded, and it is namespace clean
using the zzip_ prefix for its exports and declarations.

%package -n     %{libname}
Summary:	ZZipLib - libZ-based ZIP-access Library
Group:		System/Libraries
Obsoletes:	%{name}
Provides:	%{name}
%rename		zziplib0

%description -n	%{libname}
zziplib provides read access to zipped files in a zip-archive,
using compression based solely on free algorithms provided by zlib.
zziplib provides an additional API to transparently access files
being either real files or zipped files with the same filepath argument.
This is handy to package many files being shared data into a single
zip file - as it is sometimes used with gamedata or script repositories.
The library itself is fully multithreaded, and it is namespace clean
using the zzip_ prefix for its exports and declarations.

%package -n     %{devname}
Summary:	ZZipLib - Development Files
Group:		Development/Other
%rename		zziplib0-devel
Obsoletes:	%{name}-devel
Provides:	%{name}-devel = %{version}
Requires:	%{libname} = %{version}-%{release}
Requires:	pkgconfig

%description -n	%{devname}
zziplib provides read access to zipped files in a zip-archive,
using compression based solely on free algorithms provided by zlib.
these are the header files needed to develop programs using zziplib.
there are test binaries to hint usage of the library in user programs.

%prep

%setup -q

# perl path fix
find -type f | xargs perl -pi -e "s|/usr/local/bin/perl|%{_bindir}/perl|g"

%build
%configure2_5x
%make

%check
make check

%install
rm -rf %{buildroot}

%makeinstall_std

%multiarch_includes %{buildroot}%{_includedir}/zzip/_config.h
%multiarch_includes %{buildroot}%{_includedir}/zzip/_msvc.h

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc ChangeLog README docs/COPYING*
%{_libdir}/libzzip*-*.so.*

%files -n %{devname}
%defattr(-,root,root)
%doc docs/README* docs/*.html ChangeLog README TODO
%{_bindir}/unzzip*
%{_bindir}/zz*
%{_bindir}/unzip-mem
%{_libdir}/libzzip*.la
%{_libdir}/libzzip*.so
%{_libdir}/libzzip*.a
%dir %{multiarch_includedir}/zzip
%multiarch %{multiarch_includedir}/zzip/_config.h
%multiarch %{multiarch_includedir}/zzip/_msvc.h
%{_includedir}/*.h
%dir %{_includedir}/zzip
%{_includedir}/zzip/*.h
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4
%{_mandir}/man3/*




%changelog
* Fri Feb 25 2011 dmorgan <dmorgan> 0.13.60-2.mga1
+ Revision: 59518
- imported package zziplib


* Wed Feb 23 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.13.60-2mdv2011.0
+ Revision: 639514
- do parallel build
- drop obsolete scriptlets
- fix multiple inclusion of headers in %%files
- properly use %%mklibname for package naming to avoid multilib conflicts

* Sun Jan 02 2011 Oden Eriksson <oeriksson@mandriva.com> 0.13.60-1mdv2011.0
+ Revision: 627526
- 0.13.60

* Mon Aug 09 2010 Oden Eriksson <oeriksson@mandriva.com> 0.13.59-1mdv2011.0
+ Revision: 568119
- 0.13.59

* Fri Jan 15 2010 Oden Eriksson <oeriksson@mandriva.com> 0.13.58-1mdv2010.1
+ Revision: 491897
- 0.13.58

* Mon Sep 21 2009 Thierry Vignaud <tv@mandriva.org> 0.13.50-2mdv2010.0
+ Revision: 446355
- rebuild

* Fri Jan 23 2009 Jérôme Soyer <saispo@mandriva.org> 0.13.50-1mdv2009.1
+ Revision: 332959
- New upstream release

* Fri Jul 11 2008 Oden Eriksson <oeriksson@mandriva.com> 0.13.49-3mdv2009.0
+ Revision: 233801
- bump release
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.13.49-1mdv2008.1
+ Revision: 136634
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed May 09 2007 Oden Eriksson <oeriksson@mandriva.com> 0.13.49-1mdv2008.0
+ Revision: 25776
- 0.13.49 (fixes CVE-2007-1614)


* Fri Dec 15 2006 Oden Eriksson <oeriksson@mandriva.com> 0.13.47-1mdv2007.0
+ Revision: 97508
- fix deps
- 0.13.47
- fix #27692

  + Per Øyvind Karlsen <pkarlsen@mandriva.com>
    - docs kinda fscked, drop on x86_64
    - 0.13.47
    - Import zziplib

* Tue Aug 08 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.13.45-2mdv2007.0
- Remove rpmlint warnings

* Tue Jun 27 2006 Oden Eriksson <oeriksson@mandriva.com> 0.13.45-1mdk
- 0.13.45
- drop upstream patches; P0

* Sat May 07 2005 Oden Eriksson <oeriksson@mandriva.com> 0.13.33-4mdk
- added one gcc4 patch (debian)
- run the test suite

* Mon Jan 31 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.13.33-3mdk
- fix deps and conditional %%multiarch

* Sat Jun 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.13.33-2mdk
- use some libtool magic as it seems to prevent it from building 
  against old installed libs
- fix deps

* Fri May 07 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.13.33-1mdk
- 0.13.33
- merge the static-devel sub package into the devel sub package
- fix deps

